| Home | Libraries | People | FAQ | More

## Function template dim

boost::compute::dim

## Synopsis

    // In header: <boost/compute/utility/dim.hpp>

    template<class... Args> extents< sizeof...(Args)> dim(Args... args);

## Description

The variadic `dim()` function provides a concise syntax for creating `extents` objects.

For example,

    extents<2> region = dim(640, 480); // region == (640, 480)

See Also:

`extents<N>`